<%
'****************************************************************************************
'**  Copyright Notice    
'**
'**  Web Wiz NewsPad(TM)
'**  http://www.webwiznewspad.com
'**                                                              
'**  Copyright (C)2001-2007 Web Wiz(TM). All Rights Reserved.     
'**  
'**  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS UNDER LICENSE FROM 'WEB WIZ'.
'**  
'**  IF YOU DO NOT AGREE TO THE LICENSE AGREEMENT THEN 'WEB WIZ' IS UNWILLING TO LICENSE 
'**  THE SOFTWARE TO YOU, AND YOU SHOULD DESTROY ALL COPIES YOU HOLD OF 'WEB WIZ' SOFTWARE
'**  AND DERIVATIVE WORKS IMMEDIATELY.
'**  
'**  If you have not received a copy of the license with this work then a copy of the latest
'**  license contract can be found at:-
'**
'**  http://www.webwizguide.com/license
'**
'**  For more information about this software and for licensing information please contact
'**  'Web Wiz' at the address and website below:-
'**
'**  Web Wiz, Unit 10E, Dawkins Road Industrial Estate, Poole, Dorset, BH15 4JD, England
'**  http://www.webwizguide.com
'**
'**  Removal or modification of this copyright notice will violate the license contract.
'**
'**************************************************************************************** 



'*************************** SOFTWARE AND CODE MODIFICATIONS **************************** 
'**
'** MODIFICATION OF THE FREE EDITIONS OF THIS SOFTWARE IS A VIOLATION OF THE LICENSE  
'** AGREEMENT AND IS STRICTLY PROHIBITED
'**
'** If you wish to modify any part of this software a license must be purchased
'**
'****************************************************************************************




'******************************************
'***  	   Unsafe character Strip      ****
'******************************************

'Function to strip non alphanumeric characters email addresses
Private Function characterStrip(ByVal strTextInput)

	'Dimension variable
	Dim intLoopCounter 	'Holds the loop counter
	
	'Loop through the ASCII characters
	For intLoopCounter = 0 to 37
		strTextInput = Replace(strTextInput, CHR(intLoopCounter), "", 1, -1, 0) 
	Next
	
	'Loop through the ASCII characters
	For intLoopCounter = 39 to 44
		strTextInput = Replace(strTextInput, CHR(intLoopCounter), "", 1, -1, 0) 
	Next
	
	'Loop through the ASCII characters numeric characters to lower-case characters
	For intLoopCounter = 65 to 94
		strTextInput = Replace(strTextInput, CHR(intLoopCounter), "", 1, -1, 0) 
	Next
	
	'Loop through the extended ASCII characters
	For intLoopCounter = 123 to 125
		strTextInput = Replace(strTextInput, CHR(intLoopCounter), "", 1, -1, 0) 
	Next
	
	'Loop through the extended ASCII characters
	For intLoopCounter = 127 to 255
		strTextInput = Replace(strTextInput, CHR(intLoopCounter), "", 1, -1, 0) 
	Next
	
	'Strip individul ASCII characters left out from above
	strTextInput = Replace(strTextInput, CHR(59), "", 1, -1, 0)
	strTextInput = Replace(strTextInput, CHR(60), "", 1, -1, 0)
	strTextInput = Replace(strTextInput, CHR(62), "", 1, -1, 0)
	strTextInput = Replace(strTextInput, CHR(96), "", 1, -1, 0)
	
	
	'Return the string
	characterStrip = strTextInput
	
End Function



'Function to strip non alphanumeric characters from user ID's
Private Function IDcharacterStrip(ByVal strTextInput)

	'Only allows 1 to 9, A to F, and Z

	'Dimension variable
	Dim intLoopCounter 	'Holds the loop counter
	
	'Loop through the ASCII characters
	For intLoopCounter = 0 to 47
		strTextInput = Replace(strTextInput, CHR(intLoopCounter), "", 1, -1, 0) 
	Next
	
	'Loop through the ASCII characters
	For intLoopCounter = 58 to 64
		strTextInput = Replace(strTextInput, CHR(intLoopCounter), "", 1, -1, 0) 
	Next
	
	'Loop through the ASCII characters numeric characters to lower-case characters
	For intLoopCounter = 71 to 89
		strTextInput = Replace(strTextInput, CHR(intLoopCounter), "", 1, -1, 0) 
	Next
	
	'Loop through the extended ASCII characters
	For intLoopCounter = 91 to 255
		strTextInput = Replace(strTextInput, CHR(intLoopCounter), "", 1, -1, 0) 
	Next	
	
	'Return the string
	IDcharacterStrip = strTextInput
	
End Function




'******************************************
'***  	   Random Hex Generator        ****
'******************************************

Private Function hexValue(ByVal intHexLength)

	Dim intLoopCounter
	Dim strHexValue

	'Randomise the system timer
	Randomize Timer()

	'Generate a hex value
	For intLoopCounter = 1 to intHexLength

		'Genreate a radom decimal value form 0 to 15
		intHexLength = CInt(Rnd * 1000) Mod 16

		'Turn the number into a hex value
		Select Case intHexLength
			Case 1
				strHexValue = "1"
			Case 2
				strHexValue = "2"
			Case 3
				strHexValue = "3"
			Case 4
				strHexValue = "4"
			Case 5
				strHexValue = "5"
			Case 6
				strHexValue = "6"
			Case 7
				strHexValue = "7"
			Case 8
				strHexValue = "8"
			Case 9
				strHexValue = "9"
			Case 10
				strHexValue = "A"
			Case 11
				strHexValue = "B"
			Case 12
				strHexValue = "C"
			Case 13
				strHexValue = "D"
			Case 14
				strHexValue = "E"
			Case 15
				strHexValue = "F"
			Case Else
				strHexValue = "Z"
		End Select

		'Place the hex value into the return string
		hexValue = hexValue & strHexValue
	Next
End Function




'*********************************************
'***  		Strip all tags		 *****
'*********************************************

'Remove all tags for text only display
Private Function removeAllTags(ByVal strInputEntry)

	'Remove all HTML scripting tags etc. for plain text output
	strInputEntry = Replace(strInputEntry, "<", "&lt;", 1, -1, 1)
	strInputEntry = Replace(strInputEntry, ">", "&gt;", 1, -1, 1)
	strInputEntry = Replace(strInputEntry, "'", "&#146;", 1, -1, 1)
	strInputEntry = Replace(strInputEntry, """", "&quot;", 1, -1, 1)

	'Return
	removeAllTags = strInputEntry
End Function




'********************************************
'*** 		 Format SQL input	*****
'********************************************

'Format SQL Query funtion
Private Function formatSQLInput(ByVal strInputEntry)

	'Remove malisous charcters from sql
	strInputEntry = Replace(strInputEntry, """", "", 1, -1, 1)
	
	'If this is mySQL need to get rid of the \ escape character and escape single quotes
	If strDatabaseType = "mySQL" Then
		strInputEntry = Replace(strInputEntry, "\", "\\", 1, -1, 1)
		strInputEntry = Replace(strInputEntry, "'", "\'", 1, -1, 1)
	'Else for Access and SQL server need to escape a single quote using two quotes
	Else
		strInputEntry = Replace(strInputEntry, "'", "''", 1, -1, 1)
	End If
	
	strInputEntry = Replace(strInputEntry, "[", "&#091;", 1, -1, 1)
	strInputEntry = Replace(strInputEntry, "]", "&#093;", 1, -1, 1)
	strInputEntry = Replace(strInputEntry, "<", "&lt;", 1, -1, 1)
	strInputEntry = Replace(strInputEntry, ">", "&gt;", 1, -1, 1)
	
	'Return
	formatSQLInput = strInputEntry
End Function



'******************************************
'***  	      HTML Decoder             ****
'******************************************

'Decode encoded strings
Private Function decodeString(ByVal strInputEntry)

	'Prevent errors
	If isNull(strInputEntry) Then strInputEntry = ""

	'Remove malisous charcters from links and images
	strInputEntry = Replace(strInputEntry, "&#061;", "=", 1, -1, 0)
	
	strInputEntry = Replace(strInputEntry, "&#097;", "a", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#098;", "b", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#099;", "c", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#100;", "d", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#101;", "e", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#102;", "f", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#103;", "g", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#104;", "h", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#105;", "i", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#106;", "j", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#107;", "k", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#108;", "l", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#109;", "m", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#110;", "n", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#111;", "o", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#112;", "p", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#113;", "q", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#114;", "r", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#115;", "s", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#116;", "t", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#117;", "u", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#118;", "v", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#119;", "w", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#120;", "x", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#121;", "y", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#122;", "z", 1, -1, 0)
	
	strInputEntry = Replace(strInputEntry, "&#065;", "A", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#066;", "B", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#067;", "C", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#068;", "D", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#069;", "E", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#070;", "F", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#071;", "G", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#072;", "H", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#073;", "I", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#074;", "J", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#075;", "K", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#076;", "L", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#077;", "M", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#078;", "N", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#079;", "O", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#080;", "P", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#081;", "Q", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#082;", "R", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#083;", "S", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#084;", "T", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#085;", "U", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#086;", "V", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#087;", "W", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#088;", "X", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#089;", "Y", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#090;", "Z", 1, -1, 0)
	
	
	strInputEntry = Replace(strInputEntry, "&#048;", "0", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#049;", "1", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#050;", "2", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#051;", "3", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#052;", "4", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#053;", "5", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#054;", "6", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#055;", "7", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#056;", "8", 1, -1, 0)
	strInputEntry = Replace(strInputEntry, "&#057;", "9", 1, -1, 0)
	
	'Return
	decodeString = strInputEntry
End Function




'*******************************************
'***  		Error Message   	****
'*******************************************

'Function to to dsiplay server error message
Private Function errorMsg(strErrorText, strErrCode, strFileName)
	

	Response.Write("<br /><strong>Server Error in Forum Application</strong>" & _
	"<br />" & strErrorText & _
	"<br />Please contact the Newsletter Administrator." & _
	"<br /><br /><strong>Support Error Code:-</strong> err_" & strDatabaseType & "_" & strErrCode & _
	"<br /><strong>File Name:-</strong> " & strFileName)
	
	'If detailed error messaging is enabled, display an error message
	If blnDetailedErrorReporting Then
		Response.Write("<br /><br /><strong>Error details:-</strong>" & _
		"<br />" & Err.Source & _
		"<br />" & Err.Description & "<br /><br />")
	End If
	
	'End Server Response
	Response.Flush
	Response.End

End Function




'********************************************
'*** 		 Format SQL input	*****
'********************************************

'Format SQL Query funtion
Private Function formatSQLInput(ByVal strInputEntry)

	'Remove malisous charcters from sql
	strInputEntry = Replace(strInputEntry, "\'", "&#092;'", 1, -1, 1)
	strInputEntry = Replace(strInputEntry, """", "", 1, -1, 1)
	strInputEntry = Replace(strInputEntry, "'", "''", 1, -1, 1)
	strInputEntry = Replace(strInputEntry, "[", "&#091;", 1, -1, 1)
	strInputEntry = Replace(strInputEntry, "]", "&#093;", 1, -1, 1)
	strInputEntry = Replace(strInputEntry, "<", "&lt;", 1, -1, 1)
	strInputEntry = Replace(strInputEntry, ">", "&gt;", 1, -1, 1)
	
	'Return
	formatSQLInput = strInputEntry
End Function




'********************************************
'*** 	Admin Security Check		*****
'********************************************

'Check to see if user is allowed in the admin area
Private Sub adminUser()

	Dim strAdminCookie 	'Holds the admin cookie

	'If there is a session cookie for the user check it in the database
	If Request.Cookies(strCookieName)("AUID") <> "" Then
		
		'Read in the admin cookie
		strAdminCookie = Trim(Mid(Request.Cookies(strCookieName)("AUID"), 1, 33))
		
		'Clean up the admin cookie
		strAdminCookie = formatSQLInput(strAdminCookie)

		
		'Initalise the strSQL variable with an SQL statement to query the database
		strSQL = "SELECT " & strDbTable & "AdminLogin.Session_ID, " & strDbTable & "AdminLogin.Session_date, " & strDbTable & "AdminLogin.Super_admin " & _
			"FROM " & strDbTable & "AdminLogin" & strRowLock & " " & _
			"WHERE " & strDbTable & "AdminLogin.Session_ID = '" & strAdminCookie & "'"

		'Set the cursor type property of the record set to Dynamic so we can navigate through the record set
		rsCommon.CursorType = 2
			
		'Set the Lock Type for the records so that the record set is only locked when it is updated
		rsCommon.LockType = 3
		
		'Query the database
		rsCommon.Open strSQL, adoCon
	
		'See if we have a record returned
		If NOT rsCommon.EOF Then
			
			'Make sure this session is not over 24 hours old, if so don't let the session cookie work (this is for added security)
			If CDate(rsCommon("Session_date")) < DateAdd("h", -24, Now()) Then 
				
				'Remove cookie
				Response.Cookies(strCookieName)("AUID") = ""
				
				'Clean objects
				rsCommon.Close
				'Reset Server Objects
				Call closeDatabase()
				
				'Direct to not permitted page
				Response.Redirect("unauthorised_user_page.htm")
			End If
			
			
			'If the user is a super admin set the super admin variable to true
			If CBool(rsCommon("Super_admin")) Then blnSuperAdmin = True
			
			'Update the database with the last active time
			rsCommon.Fields("Session_date") = internationalDateTime(Now())
			rsCommon.Update
				
			'Close rs
			rsCommon.Close
			
			'Set a session variable for the RTE as those files can not connect to this function
			Session("blnAdminUser") = strAdminCookie
		
		'There is no match in the database so kick the user
		Else
		
			'Clean objects
			rsCommon.Close
			'Reset Server Objects
			Call closeDatabase()
				
			'Direct to not permitted page
			Response.Redirect("unauthorised_user_page.htm")
		
			
		End If
	
	'There is no sesion cookie on the users system so kick em	
	Else
		
		'Reset Server Objects
		Call closeDatabase()
					
		'Direct to not permitted page
		Response.Redirect("unauthorised_user_page.htm")
	
	End If
End Sub






'********************************************
'*** 	Super-Admin Security Check	*****
'********************************************

'Check to see if user is allowed in the admin area
Private Sub superAdminUser()

	'Check to see if user is a super admin
	If blnSuperAdmin = False Then

		'Reset Server Objects
		Call closeDatabase()
				
		'Direct to not permitted page
		Response.Redirect("unauthorised_user_page.htm")
	End If
End Sub






'********************************************
'*** 		No web fron end		*****
'********************************************

'If there is no web front end kick the user to the sign up page
Public Sub WebFrontEnd()

	If blnWebFrontEnd = False Then

		'Reset Server Objects
		Call closeDatabase()
				
		'Direct to not permitted page
		Response.Redirect("sign_up.asp")
	End If
End Sub




'**************************************************
'***	Web Wiz Forums About for debugging	***
'**************************************************

Private Sub about()

	'Reset server objects
	Call closeDatabase()

	Response.Write("" & _
	vbCrLf & "<pre>" & _
	vbCrLf & "*********************************************************" & _
	vbCrLf & "Application: Web Wiz Newspad(TM)" & _
	vbCrLf & "Version: " & strVersion & _
	vbCrLf & "Database: " & strDatabaseType & _
	vbCrLf & "Adware: " & blnACode & _
	vbCrLf & "Web Wiz Branding: " & blnLCode & _
	vbCrLf & "Installation ID: " & strInstallID & _
	vbCrLf & "Author: Web Wiz." & _
	vbCrLf & "Address: Unit 10E, Dawkins Raod Ind Est, Poole, Dorset, UK" & _
	vbCrLf & "Info: http://www.webwiznewspad.com" & _
	vbCrLf & "Copyright: (C)2001-2007 Web Wiz(TM). All rights reserved" & _
	vbCrLf & "*********************************************************" & _
	vbCrLf & "</pre>")
	
	Response.Flush
	Response.End
End Sub





'**********************************************
'***  Format ISO International Date/Time   ****
'**********************************************

'Function to format the present date and time into international formats to prevent systems crashes on foriegn servers
Private Function internationalDateTime(dtmDate)

	Dim strYear
	Dim strMonth
	Dim strDay
	Dim strHour
	Dim strMinute
	Dim strSecound

	strYear = Year(dtmDate)
	strMonth = Month(dtmDate)
	strDay = Day(dtmDate)
	strHour = Hour(dtmDate)
	strMinute = Minute(dtmDate)
	strSecound = Second(dtmDate)

	'Place 0 infront of minutes under 10
	If strMonth < 10 then strMonth = "0" & strMonth
	If strDay < 10 then strDay = "0" & strDay
	If strHour < 10 then strHour = "0" & strHour
	If strMinute < 10 then strMinute = "0" & strMinute
	If strSecound < 10 then strSecound = "0" & strSecound

	'This function returns the ISO internation date and time formats:- yyyy-mm-dd hh:mm:ss
	'Dashes prevent systems that use periods etc. from crashing
	internationalDateTime = strYear & "-" & strMonth & "-" & strDay & " " & strHour & ":" & strMinute& ":" & strSecound
End Function




'**********************************************
'*** 	 Multiple Page Links 		   ****
'**********************************************

'Function to create links to multiple pages
Private Sub PageLink(strPageName)
	
	'Display a prev link if previous pages are available
	If intRecordPositionPageNum > 1 Then Response.Write("<a href=""" & strPageName & "PN=" & intRecordPositionPageNum - 1 & """>&lt;&lt&nbsp;" & strTxtPrevious & "</a>&nbsp;")
		
	Response.Write (strTxtPage & "&nbsp;<select onChange=""linkURL(this)"" name=""pageJump"" id=""pageJump"">")

	'Loop round to display links to all the other pages
	For intPageLinkLoopCounter = 1 to intTotalRecordsPages

		'Display a link in the link list to the another topic page
		Response.Write (vbCrLf & "     <option value=""" & strPageName & "PN=" & intPageLinkLoopCounter & """")

		'If this page number to display is the same as the page being displayed then make sure it's selected
		If intPageLinkLoopCounter = intRecordPositionPageNum Then
			Response.Write (" selected")
		End If

		'Display the link page number
		Response.Write (">" & intPageLinkLoopCounter & "</option>")

	Next

	'End the drop down list
	Response.Write (vbCrLf & "   </select>&nbsp;Of&nbsp;" & intTotalRecordsPages)
	
	'Display a next link if needed
	If intRecordPositionPageNum <> intTotalRecordsPages Then Response.Write("&nbsp;<a href=""" & strPageName & "PN=" & intRecordPositionPageNum + 1 & """>" & strTxtNext & "&nbsp;&gt;&gt;</a>")
End Sub




'**********************************************
'*** 	 Get Category Deatils		   ****
'**********************************************

'Function to get the categories to display in the side bar
Public Function GetCategoryData()
	
	'Initalise the strSQL variable with an SQL statement to query the database
	strSQL = "SELECT " & strDbTable & "Category.Cat_ID," & strDbTable & "Category.Cat_Name, " & strDbTable & "Category.Description " & _
	"FROM " & strDbTable & "Category " & _
	"ORDER BY Cat_Order ASC;"
	
	
	'SQL Query Array Look Up table
	'0 = Cat_ID
	'1 = Cat_Name
	'2 = Description
	
	
	'Set error trapping
	On Error Resume Next
	
	'Query the database
	rsCommon.Open strSQL, adoCon
	
	'If an error has occurred write an error to the page
	If Err.Number <> 0 Then	Call errorMsg("An error has occurred while executing SQL query on database.", "get_category_data", "functions_common.asp")
	
	'Disable error trapping
	On Error goto 0
	
	'If records returned read them into an array
	If NOT rsCommon.EOF Then
		
		
		'Read in the newsletter recordset into an array
		GetCategoryData = rsCommon.GetRows()
	
	End If
	
	'Clean up
	rsCommon.Close
End Function



'******************************************
'***         RSS Date Format   	      *****
'******************************************

'Function to format date for RSS feeds
Private Function RssDateFormat(ByVal dtmDate, ByVal strTimeZone)

	Dim strNewDate		'Holds the new date format
	Dim intDay		'Holds the integer number for the day
	Dim intWeekDay		'Holds the weekday in interget format
	Dim strWeekDay		'Holds the day in string format
	Dim intMonth		'Holds a integer number from 1 to 12 for the month
	Dim strMonth		'Holds the month in it's final format which may be a number or a string so it is set to a sring value
	Dim intYear		'Holds the year
	Dim dtmNow		'Holds the present date
	Dim dtmTempDate		'Temprary storage area for date
	Dim intHour		'Holds the integer number for the hours
	Dim intMinute		'Holds a integer number for the mintes
	Dim intSeconds		'Holds the secounds
	
	
	'Seprate the date into differnet strings
	intDay = CInt(Day(dtmDate))
	intWeekDay = CInt(WeekDay(dtmDate))
	intMonth = CInt(Month(dtmDate))
	intYear = CInt(Year(dtmDate))
	intHour = CInt(Hour(dtmDate))
	intMinute = CInt(Minute(dtmDate))
	intSeconds = CInt(Second(dtmDate))
	
	
	'Place 0 infront of days under 10
	If intDay < 10 then intDay = "0" & intDay
		
	'Place 0 infront of hours under 10
	If intHour < 10 then intHour = "0" & intHour
			
	'Place 0 infront of minutes under 10
	If intMinute < 10 then intMinute = "0" & intMinute
		
	'Place 0 infront of hours under 10
	If intSeconds < 10 then intSeconds = "0" & intSeconds
	
	'Format the month
	Select Case intMonth
		Case 1
			strMonth = "Jan"
		Case 2
			strMonth = "Feb"
		Case 3
			strMonth = "Mar"
		Case 4
			strMonth = "Apr"
		Case 5
			strMonth = "May"
		Case 6
			strMonth = "Jun"
		Case 7
			strMonth = "Jul"
		Case 8
			strMonth = "Aug"
		Case 9
			strMonth = "Sep"
		Case 10
			strMonth = "Oct"
		Case 11
			strMonth = "Nov"
		Case 12
			strMonth = "Dec"
	End Select
		
		
	'Format the day
	Select Case intWeekDay
		Case 1
			strWeekDay = "Sun"
		Case 2
			strWeekDay = "Mon"
		Case 3
			strWeekDay = "Tue"
		Case 4
			strWeekDay = "Wed"
		Case 5
			strWeekDay = "Thu"
		Case 6
			strWeekDay = "Fri"
		Case 7
			strWeekDay = "Sat"
	End Select	
		

	'Format the date
	RssDateFormat = strWeekDay & ", " & intDay & " " & strMonth & " " & intYear & " " & intHour & ":" & intMinute & ":" & intSeconds & " " & strTimeZone
	
	
End Function








'******************************************
'***     Check usercode is unqiue  	***
'******************************************

'Checks to see if the user code created is unqiue or not
Private Function checkUserCode(strUserCode)
	
	'Initalise the strSQL variable with an SQL statement to query the database
	strSQL = "SELECT " & strDbTable & "Members.* " & _
		"FROM " & strDbTable & "Members " & _
		"WHERE " & strDbTable & "Members.ID_Code = '" & strUserCode & "' ;"
		
	'Query the database
	rsCommon.Open strSQL, adoCon
		
	'If the user code exsists create a new one
	If rsCommon.EOF Then 
		checkUserCode = True
	Else
		checkUserCode = False
	End If
		
	'Close DB	
	rsCommon.Close
		
End Function


%>